program Test_mehrfache_Genauigkeit
  implicit none
  real :: x;   double precision :: y
  x=4.0/3.0; y=10.0d0/7.0d0  !das Anhaengen von d0 signalisiert 
                             !doppelte Genauigkeit (~16 Stellen)
  write(*,fmt=*) x  !Der erste Stern * heisst Bildschirmausgabe
                    !fmt=* heisst Ausgabe in Standardformat
  write(*,fmt=*) x*3.d0
  write(*,fmt=*) 4/3
  write(*,fmt=*) y
  ! Die Ergebnisse sind:
  !----------------------------------------------
  ! 1.3333337          ( 7 richtige Stellen)
  ! 4.0000001192092896 ( 7 richtige Stellen)
  ! 1 (ganzzahlige Division, der Rest faellt weg)
  ! 1.4285714285714286 (17 richtige Stellen)
  !----------------------------------------------
  ! 1 2345678901234567 (zur Numerierung) 
end program Test_mehrfache_Genauigkeit
